# Generated by Django 5.0.6 on 2024-12-20 13:51

import django.db.models.deletion
import modelcluster.fields
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("home", "0017_footersection_patrocinadores"),
        ("wagtailcore", "0093_uploadedfile"),
        ("wagtailimages", "0026_delete_uploadedimage"),
    ]

    operations = [
        migrations.RemoveField(
            model_name="footersection",
            name="patrocinadores",
        ),
        migrations.AlterField(
            model_name="footerlink",
            name="link_page",
            field=models.ForeignKey(
                blank=True,
                help_text="Selecione uma página interna para vincular.",
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="+",
                to="wagtailcore.page",
            ),
        ),
        migrations.AlterField(
            model_name="footerlink",
            name="link_title",
            field=models.CharField(
                blank=True,
                help_text="Título opcional do link (máximo de 100 caracteres).",
                max_length=100,
                null=True,
            ),
        ),
        migrations.AlterField(
            model_name="footerlink",
            name="link_url",
            field=models.CharField(
                blank=True,
                help_text="URL externa para o link do rodapé.",
                max_length=500,
            ),
        ),
        migrations.AlterField(
            model_name="footerlink",
            name="open_in_new_tab",
            field=models.BooleanField(
                blank=True, default=False, help_text="Abrir o link em uma nova aba."
            ),
        ),
        migrations.AlterField(
            model_name="footersection",
            name="address",
            field=models.CharField(
                blank=True,
                help_text="Endereço exibido no rodapé.",
                max_length=255,
                null=True,
            ),
        ),
        migrations.AlterField(
            model_name="footersection",
            name="email",
            field=models.EmailField(
                blank=True,
                help_text="Email exibido no rodapé.",
                max_length=254,
                null=True,
            ),
        ),
        migrations.AlterField(
            model_name="footersection",
            name="logo",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="wagtailimages.image",
            ),
        ),
        migrations.CreateModel(
            name="Parceiro",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "sort_order",
                    models.IntegerField(blank=True, editable=False, null=True),
                ),
                (
                    "link",
                    models.URLField(
                        blank=True,
                        help_text="URL do parceiro, será usado como link ao clicar no logo.",
                        max_length=500,
                        null=True,
                    ),
                ),
                (
                    "footer_section",
                    modelcluster.fields.ParentalKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="parceiros",
                        to="home.footersection",
                    ),
                ),
                (
                    "logo",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailimages.image",
                    ),
                ),
            ],
            options={
                "ordering": ["sort_order"],
                "abstract": False,
            },
        ),
    ]
